var assert = require("assert"),

	BuildBlock = require("./BuildBlock");

var test_getReferencedFilePathes = function(){
	var buildBlock = new BuildBlock();
	buildBlock.setTargetFileName("../css/index.html.allinone.css")
		.setReferencedFilePaths(["../../view/a/view.css", "../../view/b/view.css", "../css/lib/lib.css", "index.css"])
		.setContainingHtmlFilePath("G:\\trade\\01\\index.html");

	var tmp = buildBlock.getReferencedFilePathsOrContents();
	assert.equal(4, tmp.length);
	assert.equal("../../view/a/view.css", tmp[0]);
	assert.equal("../../view/b/view.css", tmp[1]);
	assert.equal("../css/lib/lib.css", tmp[2]);
	assert.equal("index.css", tmp[3]);

	tmp = buildBlock.getReferencedFilePathsOrContents(true);
	assert.equal(4, tmp.length);
	assert.equal("G:\\view\\a\\view.css", tmp[0]);
	assert.equal("G:\\view\\b\\view.css", tmp[1]);
	assert.equal("G:\\trade\\css\\lib\\lib.css", tmp[2]);
	assert.equal("G:\\trade\\01\\index.css", tmp[3]);
};

var test_getTargetFileName = function(){
	var buildBlock = new BuildBlock();
	buildBlock.setTargetFileName("../css/index.html.allinone.css")
		.setReferencedFilePaths(["../../view/a/view.css", "../../view/b/view.css", "../css/lib/lib.css", "index.css"])
		.setContainingHtmlFilePath("G:\\trade\\01\\index.html");
	
	var tmp = buildBlock.getTargetFileName();
	assert.equal("../css/index.html.allinone.css", tmp);

	tmp = buildBlock.getTargetFileName(true);
	assert.equal("G:\\trade\\css\\index.html.allinone.css", tmp);
};

var testAll = function(){
	test_getReferencedFilePathes();
	test_getTargetFileName();
};

testAll();